# Copyright : Olivier Langella, 2020 Filippo Rusconi (both CNRS)
# License : GPL-3.0+
# Authors : Olivier Langella, Filippo Rusconi

set(PappsoMSpp_INCLUDE_DIRS /usr/include/pappsomspp)
mark_as_advanced(PappsoMSpp_INCLUDE_DIRS)

set(PappsoMSpp_LIBRARIES /usr/lib/arm-linux-gnueabi/libpappsomspp.so.0.8.25)
mark_as_advanced(PappsoMSpp_LIBRARIES)

if(NOT TARGET PappsoMSpp::Core)

	add_library(PappsoMSpp::Core UNKNOWN IMPORTED)

	set_target_properties(PappsoMSpp::Core PROPERTIES
		IMPORTED_LOCATION "/usr/lib/arm-linux-gnueabi/libpappsomspp.so.0.8.25"
		INTERFACE_INCLUDE_DIRECTORIES "/usr/include/pappsomspp")

endif()

# Once there we can say we found it !
set(PappsoMSpp_FOUND 1)


set(PappsoMSppWidget_LIBRARIES /usr/lib/arm-linux-gnueabi/libpappsomspp-widget.so.0.8.25)
mark_as_advanced(PappsoMSppWidget_LIBRARIES)

if(NOT TARGET PappsoMSpp::Widget)

	add_library(PappsoMSpp::Widget UNKNOWN IMPORTED)

	set_target_properties(PappsoMSpp::Widget PROPERTIES
		IMPORTED_LOCATION "/usr/lib/arm-linux-gnueabi/libpappsomspp-widget.so.0.8.25"
		INTERFACE_INCLUDE_DIRECTORIES "/usr/include/pappsomspp")

endif()

# Once there we can say we found it !
set(PappsoMSppWidget_FOUND 1)

